with GNATCOM.Dispinterface;

package MSHTML.IDocumentEvent_Interface is

   type IDocumentEvent_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   procedure Initialize (This : in out IDocumentEvent_Type);

   function Pointer (This : IDocumentEvent_Type)
     return Pointer_To_IDocumentEvent;

   procedure Attach (This    : in out IDocumentEvent_Type;
                     Pointer : in     Pointer_To_IDocumentEvent);

   function createEvent
     (This      : IDocumentEvent_Type;
      eventType : GNATCOM.Types.BSTR;
      Free      : Boolean := True)
     return Pointer_To_IDOMEvent;

end MSHTML.IDocumentEvent_Interface;

